Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1799829 - openal-soft: FTBFS in Fedora rawhide/f32
Summary: openal-soft: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openal-soft
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: François Cami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1799134
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 19:06 UTC by Fedora Release Engineering
Modified: 2020-02-17 07:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-17 07:39:46 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2020-02-06 19:06 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2020-02-06 19:06 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2020-02-06 19:06 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 19:06:08 UTC
openal-soft failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41320005


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix openal-soft at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
openal-soft will be orphaned. Before branching of Fedora 33,
openal-soft will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 19:06:11 UTC
Created attachment 1660189 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2020-02-06 19:06:13 UTC
Created attachment 1660190 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 19:06:14 UTC
Created attachment 1660191 [details]
state.log

Comment 4 François Cami 2020-02-06 21:00:38 UTC
I'll look into it.

Comment 5 François Cami 2020-02-06 22:46:42 UTC
Even with "%define _legacy_common_support 1" a proposed update to openal-soft-1.20.1 fails:
https://koji.fedoraproject.org/koji/taskinfo?taskID=41415970

In file included from /usr/include/SDL2/SDL_audio.h:31,
                 from /builddir/build/BUILD/openal-soft-1.20.1/examples/almultireverb.c:38:
/usr/include/SDL2/SDL_stdinc.h:163:5: error: redeclaration of enumerator 'SDL_FALSE'
  163 |     SDL_FALSE = 0,
      |     ^~~~~~~~~
In file included from /usr/include/SDL/SDL_main.h:26,
                 from /usr/include/SDL/SDL.h:30,
                 from /usr/include/SDL/SDL_sound.h:67,
                 from /builddir/build/BUILD/openal-soft-1.20.1/examples/almultireverb.c:37:
/usr/include/SDL/SDL_stdinc.h:94:2: note: previous definition of 'SDL_FALSE' was here
   94 |  SDL_FALSE = 0,
      |  ^~~~~~~~~
In file included from /usr/include/SDL2/SDL_audio.h:31,
                 from /builddir/build/BUILD/openal-soft-1.20.1/examples/almultireverb.c:38:
/usr/include/SDL2/SDL_stdinc.h:164:5: error: redeclaration of enumerator 'SDL_TRUE'
  164 |     SDL_TRUE = 1
      |     ^~~~~~~~
In file included from /usr/include/SDL/SDL_main.h:26,
                 from /usr/include/SDL/SDL.h:30,
                 from /usr/include/SDL/SDL_sound.h:67,
                 from /builddir/build/BUILD/openal-soft-1.20.1/examples/almultireverb.c:37:
/usr/include/SDL/SDL_stdinc.h:95:2: note: previous definition of 'SDL_TRUE' was here
   95 |  SDL_TRUE  = 1
      |  ^~~~~~~~
In file included from /usr/include/SDL2/SDL_audio.h:31,
                 from /builddir/build/BUILD/openal-soft-1.20.1/examples/almultireverb.c:38:
/usr/include/SDL2/SDL_stdinc.h:165:3: error: conflicting types for 'SDL_bool'
  165 | } SDL_bool;
      |   ^~~~~~~~
In file included from /usr/include/SDL/SDL_main.h:26,
                 from /usr/include/SDL/SDL.h:30,
                 from /usr/include/SDL/SDL_sound.h:67,
                 from /builddir/build/BUILD/openal-soft-1.20.1/examples/almultireverb.c:37:
/usr/include/SDL/SDL_stdinc.h:96:3: note: previous declaration of 'SDL_bool' was here
   96 | } SDL_bool;
      |   ^~~~~~~~
In file included from /usr/include/SDL2/SDL_audio.h:31,
                 from /builddir/build/BUILD/openal-soft-1.20.1/examples/almultireverb.c:38:
/usr/include/SDL2/SDL_stdinc.h:312: warning: "SDL_COMPILE_TIME_ASSERT" redefined
  312 | #define SDL_COMPILE_TIME_ASSERT(name, x)               \
      | 
In file included from /usr/include/SDL/SDL_main.h:26,
                 from /usr/include/SDL/SDL.h:30,
                 from /usr/include/SDL/SDL_sound.h:67,
                 from /builddir/build/BUILD/openal-soft-1.20.1/examples/almultireverb.c:37:
/usr/include/SDL/SDL_stdinc.h:122: note: this is the location of the previous definition
  122 | #define SDL_COMPILE_TIME_ASSERT(name, x)               \
      | 
In file included from /usr/include/SDL2/SDL_audio.h:31,
                 from /builddir/build/BUILD/openal-soft-1.20.1/examples/almultireverb.c:38:
/usr/include/SDL2/SDL_stdinc.h:339:5: error: redeclaration of enumerator 'DUMMY_ENUM_VALUE'
  339 |     DUMMY_ENUM_VALUE
(...)

Comment 6 Ben Cotton 2020-02-11 16:40:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 7 Hans de Goede 2020-02-16 15:18:24 UTC
The SDL problem seems to have been fixed with the recent SDL2 build. I have prepared a better fix for the -fcommon issue, I'll submit a build with the soon.

Comment 8 Hans de Goede 2020-02-17 07:39:46 UTC
Fixed and build for F32 and rawhide, closing.


Note You need to log in before you can comment on or make changes to this bug.